#
# spec file for package etc-update
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           etc-update
Requires:       bash
Version:        2.1.11.50
Release:        8.1
Url:            http://www.gentoo.org/proj/en/portage/index.xml
Source0:        %name
Source1:        %name.1
Source2:        %name.conf
Source3:        GPL-2
Patch0:         rpm-distribution.patch
Summary:        Configuration file update handler
License:        GPL-2.0
Group:          System/Base
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
etc-update  is  supposed  to be run after merging a new package to see if there
are updates to the configuration files.  If a new configuration file will
override an old one, etc-update will prompt the user for a decision.

etc-update will check all directories specified on the command line.  If no
paths are given, then the CONFIG_PROTECT variable will be  used.   All  config
files  found  in  CONFIG_PRO‐TECT_MASK will automatically be updated for you by
etc-update.

%prep
cp %_sourcedir/* .
%patch0

%build
echo "Nothing to do..."

%install
install -D -m 0755 %name "%{buildroot}"/%{_sbindir}/%name
install -D -m 0644 %name.conf "%{buildroot}"%{_sysconfdir}/%name.conf
install -D -m 0644 %name.1 "%{buildroot}"/%{_mandir}/man1/%name.1

%clean
rm -rf "%{buildroot}"

%files 
%defattr(-,root,root)
%doc GPL-2
%{_sbindir}/%name
%config(noreplace) %{_sysconfdir}/%name.conf
%{_mandir}/man1/%{name}*

%changelog
* Fri Feb  8 2013 mhrusecky@suse.cz
- include license file
* Thu Feb  7 2013 mhrusecky@suse.cz
- osc service localrun format_spec_file
* Mon Feb  4 2013 mhrusecky@suse.cz
- move tool to %%_sbin where it belongs
* Sun Feb  3 2013 mhrusecky@suse.cz
- use upstream files and separate patch
* Sun Feb  3 2013 mhrusecky@suse.cz
- initial version of the package, patched current version from portage
